<html>

<body>

	<script language="javascript" type="text/javascript">
		/*global ActiveXObject*/
		//Browser Support Code
		function ajaxFunction() {
			var ajaxRequest; //The variable that makes Ajax possible!

			try {
				// Opera 8.0+, Firefox, Safari
				ajaxRequest = new XMLHttpRequest();
			}
			catch (e) {
				// Internet Explorer Browsers
				try {
					ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
				}
				catch (e) {
					try {
						ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
					}
					catch (e) {
						// Something went wrong
						alert("Your browser broke!");
						return false;
					}
				}
			}
			// Create a function that will receive data sent from the server
			ajaxRequest.onreadystatechange = function () {
				if (ajaxRequest.readyState == 4) {
					document.myForm.time.value = ajaxRequest.responseText;
				}
			};
			ajaxRequest.open("GET", "php/serverTime.php", true);
			ajaxRequest.send(null);
		}
	</script>

	<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.2.1/jquery.min.js"></script>
	<script>
	
		function theFunction() {

			var ajaxRequest; //The variable that makes Ajax possible!

			try {
				// Opera 8.0+, Firefox, Safari
				ajaxRequest = new XMLHttpRequest();
			}
			catch (e) {
				// Internet Explorer Browsers
				try {
					ajaxRequest = new ActiveXObject("Msxml2.XMLHTTP");
				}
				catch (e) {
					try {
						ajaxRequest = new ActiveXObject("Microsoft.XMLHTTP");
					}
					catch (e) {
						// Something went wrong
						alert("Your browser broke!");
						return false;
					}
				}
			}
			// Create a function that will receive data sent from the server
			ajaxRequest.onreadystatechange = function () {
				if (ajaxRequest.readyState == 4) {
					alert(ajaxRequest.responseText);
				}
			};
			ajaxRequest.open("GET", "php/rng.php", true);
			ajaxRequest.send(null);

		};
	</script>

	<form name='myForm'>
		Name: <input type='text' onChange="ajaxFunction();" name='username' /> <br /> Time: <input type='text' name='time' />

	</form>
	<button onclick="theFunction();">Random Number</button>
</body>

</html>
